wayland::server::zwp_pointer_gesture_hold_v1_t(3)

NAME
wayland::server::zwp_pointer_gesture_hold_v1_t - a hold gesture object

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the hold gesture object
void begin (uint32_t serial, uint32_t time, surface_t const &surface, uint32_t fingers, bool post=true)
multi-finger hold begin
bool can_begin () const
Check whether the begin function is available with the currently bound version of the protocol.
void end (uint32_t serial, uint32_t time, int32_t cancelled, bool post=true)
multi-finger hold end
bool can_end () const
Check whether the end function is available with the currently bound version of the protocol.
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t begin_since_version = 3
Minimum protocol version required for the begin function.
static constexpr std::uint32_t end_since_version = 3
Minimum protocol version required for the end function.

Detailed Description

a hold gesture object

A hold gesture object notifies a client about a single- or multi-finger hold gesture detected on an indirect input device such as a touchpad. The gesture is usually initiated by one or more fingers being held down without significant movement. The precise conditions of when such a gesture is detected are implementation-dependent.

In particular, this gesture may be used to cancel kinetic scrolling.

A hold gesture consists of two stages: begin and end. Unlike pinch and swipe there is no update stage. There cannot be multiple simultaneous hold, pinch or swipe gestures on a same pointer/seat, how compositors prevent these situations is implementation-dependent.

A gesture may be cancelled by the compositor or the hardware. Clients should not consider performing permanent or irreversible actions until the end of a gesture has been received.

Definition at line 3433 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  void zwp_pointer_gesture_hold_v1_t::begin (uint32_t serial, uint32_t time, surface_t const & surface, uint32_t fingers, bool post = true)

multi-finger hold begin

Parameters
    serial
    time timestamp with millisecond granularity
    surface
    fingers number of fingers

This event is sent when a hold gesture is detected on the device.

Definition at line 5727 of file wayland-server-protocol-unstable.cpp.

  bool zwp_pointer_gesture_hold_v1_t::can_begin () const

Check whether the begin function is available with the currently bound version of the protocol.

Definition at line 5732 of file wayland-server-protocol-unstable.cpp.

  bool zwp_pointer_gesture_hold_v1_t::can_end () const

Check whether the end function is available with the currently bound version of the protocol.

Definition at line 5742 of file wayland-server-protocol-unstable.cpp.

  void zwp_pointer_gesture_hold_v1_t::end (uint32_t serial, uint32_t time, int32_t cancelled, bool post = true)

multi-finger hold end

Parameters
    serial
    time timestamp with millisecond granularity
    cancelled 1 if the gesture was cancelled, 0 otherwise

This event is sent when a hold gesture ceases to be valid. This may happen when the holding fingers are lifted or the gesture is cancelled, for example if the fingers move past an implementation-defined threshold, the finger count changes or the hold gesture changes into a different type of gesture.

When a gesture is cancelled, the client may need to undo state changes caused by this gesture. What causes a gesture to be cancelled is implementation-dependent.

Definition at line 5737 of file wayland-server-protocol-unstable.cpp.

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_pointer_gesture_hold_v1_t::on_destroy ()

destroy the hold gesture object

Definition at line 5721 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Member Data Documentation

  std::uint32_t wayland::server::zwp_pointer_gesture_hold_v1_t::begin_since_version = 3 [static], [constexpr]

Minimum protocol version required for the begin function.

Definition at line 3477 of file wayland-server-protocol-unstable.hpp.

  std::uint32_t wayland::server::zwp_pointer_gesture_hold_v1_t::end_since_version = 3 [static], [constexpr]

Minimum protocol version required for the end function.

Definition at line 3504 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.